package com.steering.pss.sale.order.qualityDesign.model;

/**
 * 数据库表SLM_ORD_DESIGN_DIC_DIFF所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author USER-20150714WV date 2015-12-26
 */
@SuppressWarnings("serial")
public class SlmOrdDesignDicDiffEntity implements java.io.Serializable {
	/**
	 * 质量主键
	 */
	private String designKey = "";
	/**
	 * 合同PK
	 */
	private String ordPk = "";
	/**
	 * 合同行PK
	 */
	private String ordLnPk = "";
	/**
	 * 索引号(标)
	 */
	private String dic = "";
	/**
	 * 索引号(客)
	 */
	private String dic1 = "";
	/**
	 * 材质检验项代码
	 */
	private String phyCode = "";
	/**
	 * 材质检验项名称
	 */
	private String phyName = "";
	/**
	 * 探伤位置代码(4020)(标)
	 */
	private String positionCode = "";
	/**
	 * 探伤位置描述(标)
	 */
	private String positionDesc = "";
	/**
	 * 探伤参考标准(4021)(标)
	 */
	private String stdDesc = "";
	/**
	 * 探伤级别代码(4022)(标)
	 */
	private String lvCode = "";
	/**
	 * 探伤级别描述(标)
	 */
	private String lvDesc = "";
	/**
	 * 刻槽位置(4023)(标)
	 */
	private String groovePos = "";
	/**
	 * 刻槽方向(4024)(标)
	 */
	private String grooveDir = "";
	/**
	 * 探伤覆盖率(%)(标)
	 */
	private String coverage = "";
	/**
	 * 探伤频率代码(4011)(按比例、逐支)(标)
	 */
	private String rate = "";
	/**
	 * 探伤频率描述(标)
	 */
	private String descRate = "";
	/**
	 * 频率值（按比例，具体百分比）(标)
	 */
	private String descVal = "";
	/**
	 * 探伤位置代码(客)
	 */
	private String positionCode1 = "";
	/**
	 * 探伤位置描述(客)
	 */
	private String positionDesc1 = "";
	/**
	 * 探伤参考标准(客)
	 */
	private String stdDesc1 = "";
	/**
	 * 探伤级别代码(客)
	 */
	private String lvCode1 = "";
	/**
	 * 探伤级别描述(客)
	 */
	private String lvDesc1 = "";
	/**
	 * 刻槽位置(客)
	 */
	private String groovePos1 = "";
	/**
	 * 刻槽方向(客)
	 */
	private String grooveDir1 = "";
	/**
	 * 探伤覆盖率(%)(客)
	 */
	private String coverage1 = "";
	/**
	 * 探伤频率代码(客)
	 */
	private String rate1 = "";
	/**
	 * 探伤频率描述(客)
	 */
	private String descRate1 = "";
	/**
	 * 频率值(客)
	 */
	private String descVal1 = "";
	/**
	 * 差值
	 */
	private String diffFlag = "";

	/**
	 * 质量主键
	 * 
	 * @return value
	 */
	public String getDesignKey() {
		return designKey;
	}

	/**
	 * 质量主键
	 * 
	 * @param designKey
	 *            value
	 */
	public void setDesignKey(String designKey) {
		this.designKey = designKey;
	}

	/**
	 * 合同PK
	 * 
	 * @return value
	 */
	public String getOrdPk() {
		return ordPk;
	}

	/**
	 * 合同PK
	 * 
	 * @param ordPk
	 *            value
	 */
	public void setOrdPk(String ordPk) {
		this.ordPk = ordPk;
	}

	/**
	 * 合同行PK
	 * 
	 * @return value
	 */
	public String getOrdLnPk() {
		return ordLnPk;
	}

	/**
	 * 合同行PK
	 * 
	 * @param ordLnPk
	 *            value
	 */
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	/**
	 * 索引号(标)
	 * 
	 * @return value
	 */
	public String getDic() {
		return dic;
	}

	/**
	 * 索引号(标)
	 * 
	 * @param dic
	 *            value
	 */
	public void setDic(String dic) {
		this.dic = dic;
	}

	/**
	 * 索引号(客)
	 * 
	 * @return value
	 */
	public String getDic1() {
		return dic1;
	}

	/**
	 * 索引号(客)
	 * 
	 * @param dic1
	 *            value
	 */
	public void setDic1(String dic1) {
		this.dic1 = dic1;
	}

	/**
	 * 材质检验项代码
	 * 
	 * @return value
	 */
	public String getPhyCode() {
		return phyCode;
	}

	/**
	 * 材质检验项代码
	 * 
	 * @param phyCode
	 *            value
	 */
	public void setPhyCode(String phyCode) {
		this.phyCode = phyCode;
	}

	/**
	 * 材质检验项名称
	 * 
	 * @return value
	 */
	public String getPhyName() {
		return phyName;
	}

	/**
	 * 材质检验项名称
	 * 
	 * @param phyName
	 *            value
	 */
	public void setPhyName(String phyName) {
		this.phyName = phyName;
	}

	/**
	 * 探伤位置代码(4020)(标)
	 * 
	 * @return value
	 */
	public String getPositionCode() {
		return positionCode;
	}

	/**
	 * 探伤位置代码(4020)(标)
	 * 
	 * @param positionCode
	 *            value
	 */
	public void setPositionCode(String positionCode) {
		this.positionCode = positionCode;
	}

	/**
	 * 探伤位置描述(标)
	 * 
	 * @return value
	 */
	public String getPositionDesc() {
		return positionDesc;
	}

	/**
	 * 探伤位置描述(标)
	 * 
	 * @param positionDesc
	 *            value
	 */
	public void setPositionDesc(String positionDesc) {
		this.positionDesc = positionDesc;
	}

	/**
	 * 探伤参考标准(4021)(标)
	 * 
	 * @return value
	 */
	public String getStdDesc() {
		return stdDesc;
	}

	/**
	 * 探伤参考标准(4021)(标)
	 * 
	 * @param stdDesc
	 *            value
	 */
	public void setStdDesc(String stdDesc) {
		this.stdDesc = stdDesc;
	}

	/**
	 * 探伤级别代码(4022)(标)
	 * 
	 * @return value
	 */
	public String getLvCode() {
		return lvCode;
	}

	/**
	 * 探伤级别代码(4022)(标)
	 * 
	 * @param lvCode
	 *            value
	 */
	public void setLvCode(String lvCode) {
		this.lvCode = lvCode;
	}

	/**
	 * 探伤级别描述(标)
	 * 
	 * @return value
	 */
	public String getLvDesc() {
		return lvDesc;
	}

	/**
	 * 探伤级别描述(标)
	 * 
	 * @param lvDesc
	 *            value
	 */
	public void setLvDesc(String lvDesc) {
		this.lvDesc = lvDesc;
	}

	/**
	 * 刻槽位置(4023)(标)
	 * 
	 * @return value
	 */
	public String getGroovePos() {
		return groovePos;
	}

	/**
	 * 刻槽位置(4023)(标)
	 * 
	 * @param groovePos
	 *            value
	 */
	public void setGroovePos(String groovePos) {
		this.groovePos = groovePos;
	}

	/**
	 * 刻槽方向(4024)(标)
	 * 
	 * @return value
	 */
	public String getGrooveDir() {
		return grooveDir;
	}

	/**
	 * 刻槽方向(4024)(标)
	 * 
	 * @param grooveDir
	 *            value
	 */
	public void setGrooveDir(String grooveDir) {
		this.grooveDir = grooveDir;
	}

	/**
	 * 探伤覆盖率(%)(标)
	 * 
	 * @return value
	 */
	public String getCoverage() {
		return coverage;
	}

	/**
	 * 探伤覆盖率(%)(标)
	 * 
	 * @param coverage
	 *            value
	 */
	public void setCoverage(String coverage) {
		this.coverage = coverage;
	}

	/**
	 * 探伤频率代码(4011)(按比例、逐支)(标)
	 * 
	 * @return value
	 */
	public String getRate() {
		return rate;
	}

	/**
	 * 探伤频率代码(4011)(按比例、逐支)(标)
	 * 
	 * @param rate
	 *            value
	 */
	public void setRate(String rate) {
		this.rate = rate;
	}

	/**
	 * 探伤频率描述(标)
	 * 
	 * @return value
	 */
	public String getDescRate() {
		return descRate;
	}

	/**
	 * 探伤频率描述(标)
	 * 
	 * @param descRate
	 *            value
	 */
	public void setDescRate(String descRate) {
		this.descRate = descRate;
	}

	/**
	 * 频率值（按比例，具体百分比）(标)
	 * 
	 * @return value
	 */
	public String getDescVal() {
		return descVal;
	}

	/**
	 * 频率值（按比例，具体百分比）(标)
	 * 
	 * @param descVal
	 *            value
	 */
	public void setDescVal(String descVal) {
		this.descVal = descVal;
	}

	/**
	 * 探伤位置代码(客)
	 * 
	 * @return value
	 */
	public String getPositionCode1() {
		return positionCode1;
	}

	/**
	 * 探伤位置代码(客)
	 * 
	 * @param positionCode1
	 *            value
	 */
	public void setPositionCode1(String positionCode1) {
		this.positionCode1 = positionCode1;
	}

	/**
	 * 探伤位置描述(客)
	 * 
	 * @return value
	 */
	public String getPositionDesc1() {
		return positionDesc1;
	}

	/**
	 * 探伤位置描述(客)
	 * 
	 * @param positionDesc1
	 *            value
	 */
	public void setPositionDesc1(String positionDesc1) {
		this.positionDesc1 = positionDesc1;
	}

	/**
	 * 探伤参考标准(客)
	 * 
	 * @return value
	 */
	public String getStdDesc1() {
		return stdDesc1;
	}

	/**
	 * 探伤参考标准(客)
	 * 
	 * @param stdDesc1
	 *            value
	 */
	public void setStdDesc1(String stdDesc1) {
		this.stdDesc1 = stdDesc1;
	}

	/**
	 * 探伤级别代码(客)
	 * 
	 * @return value
	 */
	public String getLvCode1() {
		return lvCode1;
	}

	/**
	 * 探伤级别代码(客)
	 * 
	 * @param lvCode1
	 *            value
	 */
	public void setLvCode1(String lvCode1) {
		this.lvCode1 = lvCode1;
	}

	/**
	 * 探伤级别描述(客)
	 * 
	 * @return value
	 */
	public String getLvDesc1() {
		return lvDesc1;
	}

	/**
	 * 探伤级别描述(客)
	 * 
	 * @param lvDesc1
	 *            value
	 */
	public void setLvDesc1(String lvDesc1) {
		this.lvDesc1 = lvDesc1;
	}

	/**
	 * 刻槽位置(客)
	 * 
	 * @return value
	 */
	public String getGroovePos1() {
		return groovePos1;
	}

	/**
	 * 刻槽位置(客)
	 * 
	 * @param groovePos1
	 *            value
	 */
	public void setGroovePos1(String groovePos1) {
		this.groovePos1 = groovePos1;
	}

	/**
	 * 刻槽方向(客)
	 * 
	 * @return value
	 */
	public String getGrooveDir1() {
		return grooveDir1;
	}

	/**
	 * 刻槽方向(客)
	 * 
	 * @param grooveDir1
	 *            value
	 */
	public void setGrooveDir1(String grooveDir1) {
		this.grooveDir1 = grooveDir1;
	}

	/**
	 * 探伤覆盖率(%)(客)
	 * 
	 * @return value
	 */
	public String getCoverage1() {
		return coverage1;
	}

	/**
	 * 探伤覆盖率(%)(客)
	 * 
	 * @param coverage1
	 *            value
	 */
	public void setCoverage1(String coverage1) {
		this.coverage1 = coverage1;
	}

	/**
	 * 探伤频率代码(客)
	 * 
	 * @return value
	 */
	public String getRate1() {
		return rate1;
	}

	/**
	 * 探伤频率代码(客)
	 * 
	 * @param rate1
	 *            value
	 */
	public void setRate1(String rate1) {
		this.rate1 = rate1;
	}

	/**
	 * 探伤频率描述(客)
	 * 
	 * @return value
	 */
	public String getDescRate1() {
		return descRate1;
	}

	/**
	 * 探伤频率描述(客)
	 * 
	 * @param descRate1
	 *            value
	 */
	public void setDescRate1(String descRate1) {
		this.descRate1 = descRate1;
	}

	/**
	 * 频率值(客)
	 * 
	 * @return value
	 */
	public String getDescVal1() {
		return descVal1;
	}

	/**
	 * 频率值(客)
	 * 
	 * @param descVal1
	 *            value
	 */
	public void setDescVal1(String descVal1) {
		this.descVal1 = descVal1;
	}

	public String getDiffFlag() {
		return diffFlag;
	}

	public void setDiffFlag(String diffFlag) {
		this.diffFlag = diffFlag;
	}

}
